%{?nodejs_find_provides_and_requires}

%define enable_tests 0

Name:           nodejs-async
Version:        1.5.2
Release:        %mkrel 1
Summary:        Higher-order functions and common patterns for asynchronous code
BuildArch:      noarch

Group:          System/Servers
License:        MIT
URL:            http://github.com/caolan/async/
Source0:        https://github.com/caolan/async/archive/v%{version}/async-%{version}.tar.gz

BuildRequires:  nodejs-packaging 
BuildRequires:  nodejs

%if 0%{?enable_tests}
BuildRequires:  npm(nodeunit)
%endif

%description
Async is a utility module which provides straight-forward, powerful functions
for working with asynchronous JavaScript. Although originally designed for
use with Node.js, it can also be used directly in the browser.

Async provides around 20 functions that include the usual 'functional'
suspects (map, reduce, filter, forEach…) as well as some common patterns
for asynchronous control flow (parallel, series, waterfall…). All these
functions assume you follow the Node.js convention of providing a single
callback as the last argument of your async function.

%prep
%setup -q -n async-%{version}

%build
#nothing to do

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/async
cp -pr package.json lib %{buildroot}%{nodejs_sitelib}/async

%check
%nodejs_symlink_deps --check
%__nodejs -e "require('./')" 
%if 0%{?enable_tests}
%{nodejs_sitelib}/nodeunit/bin/nodeunit test/test-async.js
%endif

%files
%doc README.md LICENSE
%{nodejs_sitelib}/async



%changelog
* Fri May 13 2016 joequant <joequant> 1.5.2-1.mga6
+ Revision: 1014479
- upgrade to 1.5.2

* Fri Apr 22 2016 spuhler <spuhler> 1.5.0-1.mga6
+ Revision: 1004472
- update to version 1.5.0
  * needed by uglify-js-2.6.2

* Tue Feb 02 2016 umeabot <umeabot> 0.2.10-4.mga6
+ Revision: 932145
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.2.10-3.mga5
+ Revision: 750159
- Second Mageia 5 Mass Rebuild

* Tue Oct 07 2014 philippem <philippem> 0.2.10-2.mga5
+ Revision: 737329
- bump release
- first Mageia version

  + tv <tv>
    - imported package nodejs-async

